> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# List payment gateway accounts

GET https://demo.docusign.net/restapi/v2/accounts/{accountId}/payment_gateway_accounts

List payment gateway account information

Reference: https://developers.docusign.com/docs/esign-rest-api/v2/reference/payments/paymentgatewayaccounts/list

## Authentication

- `Authorization` header (required) — OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer \<token>.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account id GUID.

## Response

### 200

Successful response.

- `paymentGatewayAccounts` (list of paymentGatewayAccount, optional) — A list of payment gateway accounts.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Types

### paymentGatewayAccount

- `displayName` (string, optional)
- `paymentGateway` (string, optional) — Payment gateway used by the connected gateway account. This is the name used by the API. For a human-readable version use `paymentGatewayDisplayName`. Possible values are: * `Stripe` * `Braintree` * `AuthorizeDotNet`
- `paymentGatewayAccountId` (string, optional) — A GUID that identifies the payment gateway account. For a human-readable version use `displayName`.
- `paymentGatewayDisplayName` (string, optional) — Display name of the payment gateway used by the connected gateway account. This is the human-readable version of `paymentGateway`. Possible values are: * Stripe * Braintree * Authorize.Net

## Examples

**Response**

```json
{
  "paymentGatewayAccounts": [
    {
      "displayName": "string",
      "paymentGateway": "string",
      "paymentGatewayAccountId": "string",
      "paymentGatewayDisplayName": "string"
    }
  ]
}
```